Bug 1769808 - [4.2] Use protobuf in SDN clients to reduce CPU usage
Summary: [4.2] Use protobuf in SDN clients to reduce CPU usage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.2.z
Assignee: Clayton Coleman
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1769807
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-07 14:35 UTC by Dan Winship
Modified: 2019-12-03 22:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1769807
Environment:
Last Closed: 2019-12-03 22:43:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift sdn pull 68 'None' 'closed' 'Bug 1769808: Use protobuf for SDN where possible for better performance' 2019-12-02 14:22:26 UTC
Red Hat Product Errata RHBA-2019:3953 None None None 2019-12-03 22:43:23 UTC

Description Dan Winship 2019-11-07 14:35:43 UTC
+++ This bug was initially created as a clone of Bug #1769807 +++

openshift-sdn was using JSON-only k8s clients because earlier releases did not support using protobuf clients to work with CRD types. This is apparently fixed in k8s 1.16.

I don't know if it's worth bothering testing the fix beyond "things still work" but if so, Clayton can fill in the expected difference in metrics output.

Comment 1 Casey Callendrello 2019-11-15 16:36:46 UTC
We just use separate configs for network vs. core types, so we can safely switch one of them to protobuf.

Comment 3 zhaozhanqi 2019-11-22 07:06:38 UTC
From the e2e testing in 4.2 nightly 4.2.0-0.nightly-2019-11-22-005934
this bug can be verified.

Comment 5 errata-xmlrpc 2019-12-03 22:43:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3953


Note You need to log in before you can comment on or make changes to this bug.